std::overflow_error Class Reference
Diagnostics » Exceptions

`#include <stdexcept>`

Inheritance diagram for std::overflow_error:
[legend]

## Public Member Functions

| overflow_error (const char *) _GLIBCXX_TXN_SAFE
| overflow_error (const overflow_error &)=default
| overflow_error (const string &__arg) _GLIBCXX_TXN_SAFE
| overflow_error (overflow_error &&)=default
overflow_error & | operator= (const overflow_error &)=default
overflow_error & | operator= (overflow_error &&)=default
virtual const char * | what () const _GLIBCXX_TXN_SAFE_DYN noexcept

## Detailed Description

Thrown to indicate arithmetic overflow.

Definition at line 273 of file stdexcept.

## Member Function Documentation

## what()

virtual const char * std::runtime_error::what | ( |  | ) | const

virtual noexcept inherited

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

The documentation for this class was generated from the following file:

- stdexcept